org.springframework.remoting.httpinvoker

## Interface HttpInvokerClientConfiguration

All Known Implementing Classes:
  HttpInvokerClientInterceptor, HttpInvokerProxyFactoryBean

    public interface HttpInvokerClientConfiguration

Configuration interface for executing HTTP invoker requests.

Since:
  1.1
Author:
  Juergen Hoeller
See Also:
  `HttpInvokerRequestExecutor`, `HttpInvokerClientInterceptor`

### Method Summary

Methods
`String` `getCodebaseUrl()` Return the codebase URL to download classes from if not found locally.
`String` `getServiceUrl()` Return the HTTP URL of the target service.

### Method Detail

#### getServiceUrl

    String getServiceUrl()

Return the HTTP URL of the target service.

#### getCodebaseUrl

    String getCodebaseUrl()

Return the codebase URL to download classes from if not found locally. Can consist of multiple URLs, separated by spaces.

Returns:
  the codebase URL, or `null` if none
See Also:
  `RMIClassLoader`